# $Revision: 1.41 $, $Date: 2011/10/11 11:07:02 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Lockf
Summary:	File::lockf - Perl module interface to the lockf system call
Summary(pl.UTF-8):	File::lockf - interfejs perlowy do wywołania systemowego lockf
Name:		perl-File-Lockf
Version:	0.20
Release:	14
License:	GPL v1+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b200cf22e08f12d678a1c83312ff4f5d
URL:		http://search.cpan.org/dist/File-Lockf/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File-lockf is an interface to the lockf system call.  Perl supports
the flock system call natively, but that does not acquire network
locks. Perl also supports the fcntl system call, but that is somewhat
ugly to use.  There are other locking modules available for Perl, but
none of them provided a simple, clean interface to the lockf system
call, without any bells or whistles getting in the way.

%description -l pl.UTF-8
File::lockf stanowi interfejs do wywołania systemowego lockf. Perl
posiada wbudowaną obsługę lockf, ale nie wspiera ona blokad
sieciowych. Istnieją inne moduły Perla do zakładania blokad, ale żaden
z nich nie posiada prostego, jasnego interfejsu do wywołania
systemowego lockf bez żadnych dzwonków i gwizdków po drodze.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/File/lockf.pm
%dir %{perl_vendorarch}/auto/File/lockf
%{perl_vendorarch}/auto/File/lockf/lockf.bs
%attr(755,root,root) %{perl_vendorarch}/auto/File/lockf/lockf.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Lockf.spec,v $
Revision 1.41  2011/10/11 11:07:02  lisu
- rel 14

Revision 1.40  2010/11/12 23:37:57  pawelz
- release 13

Revision 1.39  2010/06/06 08:36:13  arekm
- release 12

Revision 1.38  2009/03/14 11:46:49  hawk
- release 11

Revision 1.37  2008/03/24 01:59:00  qboosh
- generic URL

Revision 1.36  2008-02-10 12:09:38  arekm
- rel 10

Revision 1.35  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.34  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.32  2004/11/03 22:30:21  paladine
- formatting

Revision 1.31  2004/10/24 14:46:21  paladine
- spelling fix

Revision 1.30  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.29  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.28  2004/04/25 00:50:54  ankry
- cosmetics: unification

Revision 1.27  2004/04/20 14:42:31  ankry
- summary/description/license fixes

Revision 1.26  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.25  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.21  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.20  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.19  2003/02/18 15:32:18  ankry
- massive attack: change CPAN URLs

Revision 1.18  2002/11/26 00:13:57  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.17  2002/07/10 08:47:14  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.14  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/13 14:13:56  depesz
automatic: Source location unfied, Relase Up

Revision 1.12  2002/02/10 15:26:04  depesz
adapterized

Revision 1.11  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.9  2001/04/17 12:08:51  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.8  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.7  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.6  2001/01/03 21:17:30  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.5  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.1  1999/11/06 00:52:08  pius
- initial release
